Package com.avaya.clientservices.call.feature

## Class SimRingCallbackDestination

- java.lang.Object
- - com.avaya.clientservices.call.feature.SimRingCallbackDestination

-     public class SimRingCallbackDestination
      extends java.lang.Object

  The parameters of the destination for the Callback / simultaneous ring feature.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimRingCallbackDestination​(java.lang.String number, java.lang.String label, boolean simultaneousRingEnabled)` | Constructs SimRingCallbackDestination object from the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getNumber()` |
    `int` | `hashCode()` |
    `boolean` | `isSimultaneousRingEnabled()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimRingCallbackDestination

          public SimRingCallbackDestination​(java.lang.String number,
                                            java.lang.String label,
                                            boolean simultaneousRingEnabled)

      Constructs SimRingCallbackDestination object from the specified parameters.
      Parameters:
        `number` - the destination number.
        `label` - the destination label (can be empty).
        `simultaneousRingEnabled` - true if incoming calls should be received at this destination simultaneously with the user's extension, false otherwise.

  - ### Method Detail

    - #### getNumber

          public java.lang.String getNumber()

      Returns:
        the destination number.

    - #### getLabel

          public java.lang.String getLabel()

      Returns:
        the destination label.

    - #### isSimultaneousRingEnabled

          public boolean isSimultaneousRingEnabled()

      Returns:
        true if incoming calls should be received at this destination simultaneously with the user's extension, false otherwise.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`